using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace kvalifikacije
{
    internal class Program
    {
        static void treciZad()
        {
            string prviRed = Console.ReadLine();
            int n = int.Parse(prviRed.Split(' ')[0]);
            int m = int.Parse(prviRed.Split(' ')[1]);
            int[] donja = new int[n];
            int[] gornja = new int[n];
            int[] index1 = new int[m];
            int[] index2 = new int[m];
            int[] tezina = new int[m];
            for(int i = 0; i < n; i++)
            {
                string red = Console.ReadLine();
                donja[i] = int.Parse(red.Split(' ')[0]);
                gornja[i] = int.Parse(red.Split(' ')[1]);
            }
            for(int i = 0;i < m; i++)
            {
                string red = Console.ReadLine();
                index1[i] = int.Parse(red.Split(' ')[0])-1;
                index2[i] = int.Parse(red.Split(' ')[1])-1;
                tezina[i] = int.Parse(red.Split(' ')[2]);
            }
            bool flag = true;
            int broj = 0;
            for(int i = 0; i < m; i++)
            {
                for(int j = index1[i]; j <= index2[i]; j++)
                {
                    if(tezina[i] >= donja[j] && tezina[i] <= gornja[j])
                    {
                        broj++;
                    }
                }
                Console.WriteLine(broj);
                broj = 0;
            }
        }
        static void Main(string[] args)
        {
            treciZad();
        }
    }
}